# ScriptScanner Class Reference

Inheritance diagram for ScriptScanner:

## Public Member Functions
class Squirrel * | GetEngine ()
| Get the engine of the main squirrel handler (it indexes all available scripts).
const char * | GetMainScript ()
| Get the current main script the ScanDir is currently tracking.
void | ScanScriptDir (const char *info_file_name, Subdirectory search_dir)
| Rescan for scripts.
## Protected Attributes
class Squirrel * | engine
char | main_script [1024]
## Private Member Functions
void | ScanDir (const char *dirname, const char *info_file_name)
| Scan a dir for scripts.

## Detailed Description

Definition at line 17 of file script_scanner.hpp.

## Member Function Documentation

void ScriptScanner::ScanScriptDir | ( | const char * | info_file_name,
|  | Subdirectory | search_dir |
| ) |  |  |

Rescan for scripts.

Parameters:

  | info_file_name | The name of the 'info.nut' file.
  | search_dir | The subdirecotry to search for scripts.

Definition at line 85 of file script_scanner.cpp.

References FOR_ALL_SEARCHPATHS, and ScanDir().

Referenced by AIScanner::RescanAIDir().

The documentation for this class was generated from the following files:

- src/script/script_scanner.hpp
- src/script/script_scanner.cpp